Subject: Re: bug#36360: 'ada-mode' & 'svg' pkgs version number & presence problem

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Jun 2019 16:02:58 -0400

Hi Lars,

> 2. There are no "built-in" ("Status" column) versions of 'ada-mode'
> and 'svg' on the package list *Packages*.

I see we have an `svg` package in GNU ELPA and an `svg` package
in Emacs.  There's no actual conflict, because they are "one and the
same", but they're not the same version.

A cursory look seems to indicate that the svg.el that comes from Emacs
is more up-to-date.  Would it make sense to use that one in GNU ELPA
(i.e. make `svg` into a `:core` package, built from emacs.git rather
than from elpa.git)?

The main question seems to be whether Emacs's svg.el works in Emacs-25
and if not whether we should bump up the package-requires or whether we
should tweak to code so it's made compatible with Emacs-25.

        Stefan